Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise
Class Proxy

    java.lang.Object
      org.deegree.enterprise.Proxy

    public class Proxy

extends Object

encapsulates proxy informations and offers a method for setting and unsetting the proxy

Version:
  $Revision: 18195 $
Author:
  Andreas Poth

Constructor Summary
`Proxy(String proxyHost, String proxyPort)` Creates a new instance of Proxy_Impl

Method Summary
`String` | `getProxyHost()` retuns the proxy host definition
`String` | `getProxyPort()` returns the proxy port definition
`void` | `setProxy(boolean proxySet)` sets or unsets the proxy by writing the proxyHost and the proxyPort to the system properties.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Proxy

    public Proxy(String proxyHost,
                 String proxyPort)

  Creates a new instance of Proxy_Impl

  Parameters:
    `proxyHost` -
    `proxyPort` -

Method Detail

### getProxyHost

    public String getProxyHost()

  retuns the proxy host definition

  Returns:
    the proxy host definition

### getProxyPort

    public String getProxyPort()

  returns the proxy port definition

  Returns:
    the proxy port definition

### setProxy

    public void setProxy(boolean proxySet)

  sets or unsets the proxy by writing the proxyHost and the proxyPort to the system properties.

  Parameters:
    `proxySet` -

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org